package main

import(
    "fmt"
    "errors"
    "io"
    "net/http"
    "os"
)
func getMouse(w http.ResponseWriter, r *http.Request){
    io.WriteString(w, "Peep!\n")
}

func getHello(w http.ResponseWriter, r *http.Request){
    fmt.Println("got /hello request")
    io.WriteString(w, "Hello, HTTP!\n")
}
func main() {
    http.Handle("/", http.FileServer(http.Dir("./static")))
    http.HandleFunc("/hello", getHello)
    http.HandleFunc("/mouse_entered", getMouse)

    err := http.ListenAndServe(":8081", nil)
    if errors.Is(err, http.ErrServerClosed){
        fmt.Printf("server closed\n")
    }else if err != nil {
        fmt.Printf("error starting server: %s\n", err)
        os.Exit(1)
    }
}

